<%
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what room reservations are approved as well as approved notes (or events)    #
'# for a specific date (month/year).  As well, if there are day(s) which no           #
'# reservations should be allowed (which are not weekends that can be set to not      #
'# allow reservations in JS) those are included here.				      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<roomReservation>
'#		<day>1</day>							-> Day reservation or note applies to.
'#		<month>7</month>						-> Month reservation or note applies to.
'#		<year>2010</year>						-> Year reservation or note applies to.
'#		<room>101</room>						-> Room number of reservation.  If note (or event), this value is 0.  If no reservations should be allowed for this day, the value should be set to -1.
'#		<eventTitle>Lan Party</eventTitle>				-> Title of the event.
'#	</roomReservation>

'##### ASSIGN FORM DATA
dim month, year
month = 0 : year = 0
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/")
	month = fullDateInfo(0)
	year = fullDateInfo(1)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND ROOM AND NOTE DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
%>
<?xml version="1.0" encoding="utf-8"?>
<parameters>
	<roomReservation>
		<day>1</day>
		<month>7</month>
		<year>2010</year>
		<room>101</room>
		<eventTitle>Lan Party</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>4</day>
		<month>7</month>
		<year>2010</year>
		<room>106</room>
		<eventTitle>Safety Brief</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>10</day>
		<month>7</month>
		<year>2010</year>
		<room>103</room>
		<eventTitle>COMP1013552871</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>10</day>
		<month>7</month>
		<year>2010</year>
		<room>104</room>
		<eventTitle>Meeting Notes</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>10</day>
		<month>7</month>
		<year>2010</year>
		<room>104</room>
		<eventTitle>Training</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>4</day>
		<month>7</month>
		<year>2010</year>
		<room>0</room>
		<eventTitle>General Training</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>4</day>
		<month>7</month>
		<year>2010</year>
		<room>0</room>
		<eventTitle>Holiday</eventTitle>
	</roomReservation>
	<roomReservation>
		<day>15</day>
		<month>8</month>
		<year>2010</year>
		<room>-1</room>
		<eventTitle></eventTitle>
	</roomReservation>
</parameters>
